/* --COPYRIGHT--,BSD
 * Copyright (c) 2017, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

#ifndef HDC2010_H_
#define HDC2010_H_

#define HDC2010_TEMP_LOW    0x00
#define HDC2010_TEMP_HIGH   0x01
#define HDC2010_HUM_LOW    	0x02
#define HDC2010_HUM_HIGH    0x03
#define HDC2010_INT_DRDY    0x04
#define HDC2010_TEMP_MAX	0x05
#define HDC2010_HUM_MAX 	0x06
#define HDC2010_INT_MASK 	0x07
#define HDC2010_TEMP_OFFSET	0x08
#define HDC2010_HUM_OFFSET  0x09
#define HDC2010_TEMP_THS_L	0x0A
#define HDC2010_TEMP_THS_H  0x0B
#define HDC2010_HUM_THS_L	0x0C
#define HDC2010_HUM_THS_H   0x0D
#define HDC2010_CONFIG		0x0E
#define HDC2010_MEAS_CONFIG 0x0F
#define HDC2010_SERIAL_ID_1 0xF4
#define HDC2010_SERIAL_ID_2 0xF5
#define HDC2010_SERIAL_ID_3 0xF6
#define HDC2010_SERIAL_ID_4 0xF7
#define HDC2010_SERIAL_ID_5 0xF8
#define HDC2010_SERIAL_ID_6 0xF9
#define HDC2010_SERIAL_ID_7 0xFA
#define HDC2010_SERIAL_ID_8 0xFB
#define HDC2010_MANUF_ID_L  0xFC
#define HDC2010_MANUF_ID_H  0xFD
#define HDC2010_DEVICE_ID_L 0xFE
#define HDC2010_DEVICE_ID_H 0xFF

#define HDC2010_HEATER_ON  0x08
#define HDC2010_HEATER_OFF 0x00


#endif /* HDC1080_H_ */
