/* --COPYRIGHT--,BSD
 * Copyright (c) 2017, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
 
#include <stdio.h>
#include <stdlib.h>

//#define DEBUG
#define st_char_len 13

char st[st_char_len];
char sh[st_char_len];

char* tempstring(unsigned char HiByte, unsigned char LoByte, char fahrenheit){
    long it;
    float ft;

    //combine 2 bytes
    it = (long) (HiByte & 0xFF) << 8 | (LoByte & 0xFF);
    ft = (float) it / 65536;
    ft *= 165;
    ft -= 40;
    if (fahrenheit){
        ft *= 9;
        ft /= 5;
        ft += 32;
        sprintf(st, "%6.1f", ft);
    }
    else {
        sprintf(st, "%6.1f", ft);
    }
    return st;
}

char* humstring(unsigned char HiByte, unsigned char LoByte){
    long ih;
    float fh;

    //combine 2 bytes
    ih = (long) (HiByte & 0xFF) << 8 | (LoByte & 0xFF);
    fh = (float) ih / 65536;
    fh *= 100;
    sprintf(sh, "%6.1f", fh);
    return sh;
}
